<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>anonym’s documentation! &mdash; anonym anonym documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=14175b09"></script>
        <script src="_static/doctools.js?v=888ff710"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Installation" href="Installation.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="#" class="icon icon-home">
            anonym
          </a>
              <div class="version">
                0.1.1
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
    
              <p class="caption" role="heading"><span class="caption-text">Installation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="Installation.html#uninstalling">Uninstalling</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Methods</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html">Algorithm</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#named-entity-recognition-catagories">Named Entity Recognition Catagories</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#faking-the-data-entries">Faking the data entries</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html">Import and saving</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#import-from-csv">Import from csv</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#saving-to-csv">Saving to csv</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Examples</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Examples.html">Quickstart to anonym your data set</a></li>
<li class="toctree-l1"><a class="reference internal" href="Examples.html#anonymize-data-set-with-user-defined-specifications">Anonymize data set with user defined specifications</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Documentation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html">Github</a></li>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html#colab-notebook">Colab Notebook</a></li>
<li class="toctree-l1"><a class="reference internal" href="Coding%20quality.html">Coding quality</a></li>
<li class="toctree-l1"><a class="reference internal" href="anonym.anonym.html">API References</a></li>
</ul>

    <a href= "genindex.html">Index</a>
  
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">anonym</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="#" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">anonym’s documentation!</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="anonym-s-documentation">
<h1>anonym’s documentation!<a class="headerlink" href="#anonym-s-documentation" title="Link to this heading"></a></h1>
<p><a class="reference external" href="https://img.shields.io/pypi/pyversions/anonym"><img alt="|Python" src="https://img.shields.io/pypi/pyversions/anonym.svg" /></a> <a class="reference external" href="https://pypi.org/project/anonym/"><img alt="|Python Version" src="https://img.shields.io/pypi/v/anonym.svg" /></a> <a class="reference external" href="https://gitlab.com/datainnovatielab/public/anonym"><img alt="Gitlab Repo" src="https://img.shields.io/badge/Gitlab-Repo-blue.svg" /></a> <a class="reference external" href="https://pepy.tech/project/anonym"><img alt="Downloads per month" src="https://static.pepy.tech/personalized-badge/anonym?period=month&amp;units=international_system&amp;left_color=grey&amp;right_color=brightgreen&amp;left_text=PyPI%20downloads/month" /></a> <a class="reference external" href="https://pepy.tech/project/anonym"><img alt="Downloads in total" src="https://static.pepy.tech/personalized-badge/anonym?period=total&amp;units=international_system&amp;left_color=grey&amp;right_color=brightgreen&amp;left_text=Downloads" /></a> <a class="reference external" href="https://gitlab.com/datainnovatielab/public/anonym/-/blob/main/LICENSE"><img alt="License" src="https://img.shields.io/badge/license-MIT-green.svg" /></a> <a class="reference external" href="https://gitlab.com/datainnovatielab/public/anonym/-/issues"><img alt="Open Issues" src="https://img.shields.io/badge/issues-you_like-yellow.svg" /></a> <a class="reference external" href="http://www.repostatus.org/#active"><img alt="Project Status" src="http://www.repostatus.org/badges/latest/active.svg" /></a></p>
<p>The <code class="docutils literal notranslate"><span class="pre">anonym</span></code> library is designed to anonymize sensitive data in Python, allowing users to work with, share, or publish their data without compromising privacy or violating data protection regulations. It uses Named Entity Recognition (NER) from <code class="docutils literal notranslate"><span class="pre">spacy</span></code> to identify sensitive information in the data. Once identified, the library leverages the <code class="docutils literal notranslate"><span class="pre">faker</span></code> library to generate fake but realistic replacements. Depending on the type of sensitive information (like names, addresses, dates), corresponding faker methods are used, ensuring the anonymized data maintains a similar structure and format to the original, making it suitable for further data analysis or testing.</p>
<hr class="docutils" />
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Disclaimer</strong>: While the <code class="docutils literal notranslate"><span class="pre">anonym</span></code> library is designed to identify and replace sensitive information, due to the stochastic nature of the Named Entity Recognition (NER) process, there is always a possibility that some names or other privacy-sensitive information may not be identified and replaced. In addition, while certain privacy-senitive information can be faked such as names, one also needs to think that a combination of features may need to be faked. Please review the anonymized data carefully before sharing or publishing.</p>
</div>
<hr class="docutils" />
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>Start
<span class="w">  </span><span class="p">|</span>
<span class="w">  </span>v
Initialize<span class="w"> </span><span class="sb">`</span>anonym<span class="sb">`</span><span class="w"> </span>class
<span class="w">  </span><span class="p">|</span>
<span class="w">  </span>v
Import<span class="w"> </span>data<span class="w"> </span>using<span class="w"> </span><span class="sb">`</span>import_data<span class="sb">`</span><span class="w"> </span>method
<span class="w">  </span><span class="p">|</span>
<span class="w">  </span>v
Anonymize<span class="w"> </span>data<span class="w"> </span>using<span class="w"> </span><span class="sb">`</span>anonymize<span class="sb">`</span><span class="w"> </span>method
<span class="w">  </span><span class="p">|</span><span class="w">         </span><span class="p">|</span>
<span class="w">  </span><span class="p">|</span><span class="w">         </span>v
<span class="w">  </span><span class="p">|</span><span class="w">     </span>Extract<span class="w"> </span>entities<span class="w"> </span>using<span class="w"> </span><span class="sb">`</span>extract_entities<span class="sb">`</span><span class="w"> </span><span class="k">function</span>
<span class="w">  </span><span class="p">|</span><span class="w">         </span><span class="p">|</span>
<span class="w">  </span><span class="p">|</span><span class="w">         </span>v
<span class="w">  </span><span class="p">|</span><span class="w">     </span>Generate<span class="w"> </span>fake<span class="w"> </span>labels<span class="w"> </span>using<span class="w"> </span><span class="sb">`</span>generate_fake_labels<span class="sb">`</span><span class="w"> </span><span class="k">function</span>
<span class="w">  </span><span class="p">|</span><span class="w">         </span><span class="p">|</span>
<span class="w">  </span><span class="p">|</span><span class="w">         </span>v
<span class="w">  </span><span class="p">|</span><span class="w">     </span>Replace<span class="w"> </span>original<span class="w"> </span>labels<span class="w"> </span>with<span class="w"> </span>fake<span class="w"> </span>ones<span class="w"> </span>using<span class="w"> </span><span class="sb">`</span>replace_label_with_fake<span class="sb">`</span><span class="w"> </span><span class="k">function</span>
<span class="w">  </span>v
Export<span class="w"> </span>anonymized<span class="w"> </span>data<span class="w"> </span>using<span class="w"> </span><span class="sb">`</span>to_csv<span class="sb">`</span><span class="w"> </span>method
<span class="w">  </span><span class="p">|</span>
<span class="w">  </span>v
End
</pre></div>
</div>
<hr class="docutils" />
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Your ❤️ is important to keep maintaining this package.</strong>
Report bugs, issues and feature extensions at <a class="reference external" href="https://gitlab.com/datainnovatielab/public/anonym/">github</a> page.</p>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="go">pip install anonym</span>
</pre></div>
</div>
</div>
</section>
<hr class="docutils" />
<section id="content">
<h1>Content<a class="headerlink" href="#content" title="Link to this heading"></a></h1>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Installation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="Installation.html#uninstalling">Uninstalling</a></li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Methods</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html">Algorithm</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#named-entity-recognition-catagories">Named Entity Recognition Catagories</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#faking-the-data-entries">Faking the data entries</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html">Import and saving</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#import-from-csv">Import from csv</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#saving-to-csv">Saving to csv</a></li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Examples</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Examples.html">Quickstart to anonym your data set</a></li>
<li class="toctree-l1"><a class="reference internal" href="Examples.html#anonymize-data-set-with-user-defined-specifications">Anonymize data set with user defined specifications</a></li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Documentation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html">Github</a></li>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html#colab-notebook">Colab Notebook</a></li>
<li class="toctree-l1"><a class="reference internal" href="Coding%20quality.html">Coding quality</a></li>
<li class="toctree-l1"><a class="reference internal" href="anonym.anonym.html">API References</a></li>
</ul>
</div>
</section>
<section id="indices-and-tables">
<h1>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Link to this heading"></a></h1>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="Installation.html" class="btn btn-neutral float-right" title="Installation" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Data en Innovatielab (IenW).</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>